# AlienImage_SGIRGBFileHeader.hxx File Reference

`#include <Standard_Type.hxx>`

## Defines

#define | IMAGIC 0732
#define | CM_NORMAL 0
#define | CM_DITHERED 1
#define | CM_SCREEN 2
#define | CM_COLORMAP 3
#define | TYPEMASK 0xff00
#define | BPPMASK 0x00ff
#define | ITYPE_VERBATIM 0x0000
#define | ITYPE_RLE 0x0100
#define | ISRLE(type) (((type) & 0xff00) == ITYPE_RLE)
#define | ISVERBATIM(type) (((type) & 0xff00) == ITYPE_VERBATIM)
#define | BPP(type) ((type) & BPPMASK)
#define | RLE(bpp) (ITYPE_RLE | (bpp))
#define | VERBATIM(bpp) (ITYPE_VERBATIM | (bpp))
#define | IBUFSIZE(pixels) ((pixels+(pixels>>6))<<2)
#define | RLE_NOP 0x00
#define | ierror(p) (((p)->flags&_IOERR)!=0)
#define | ifileno(p) ((p)->file)
#define | getpix(p) (--(p)->cnt>=0 ? *(p)->ptr++ : ifilbuf(p))
#define | putpix(p, x)

## Functions

const | Handle (Standard_Type)&STANDARD_TYPE(AlienImage_SGIRGBFileHeader)
AlienImage_SGIRGBFileHeader * | iopen ()
AlienImage_SGIRGBFileHeader * | icreate ()
ostream & | operator<< (ostream &s, const AlienImage_SGIRGBFileHeader &h)
Standard_Boolean | operator== (const AlienImage_SGIRGBFileHeader &AnObject, const AlienImage_SGIRGBFileHeader &AnotherObject)
void | ShallowDump (const AlienImage_SGIRGBFileHeader &AnObject, Standard_OStream &S)

## Define Documentation

#define BPP | ( | type |  | ) | ((type) & BPPMASK)

#define BPPMASK 0x00ff

#define CM_COLORMAP 3

#define CM_DITHERED 1

#define CM_NORMAL 0

#define CM_SCREEN 2

#define getpix | ( | p |  | ) | (--(p)->cnt>=0 ? *(p)->ptr++ : ifilbuf(p))

#define IBUFSIZE | ( | pixels |  | ) | ((pixels+(pixels>>6))<<2)

#define ierror | ( | p |  | ) | (((p)->flags&_IOERR)!=0)

#define ifileno | ( | p |  | ) | ((p)->file)

#define IMAGIC 0732

#define ISRLE | ( | type |  | ) | (((type) & 0xff00) == ITYPE_RLE)

#define ISVERBATIM | ( | type |  | ) | (((type) & 0xff00) == ITYPE_VERBATIM)

#define ITYPE_RLE 0x0100

#define ITYPE_VERBATIM 0x0000

#define putpix | ( | p,
|  | x |  | ) |

Value:

    (--(p)->cnt>=0 \
                                        ? ((int)(*(p)->ptr++=(unsigned)(x))) \
                                        : iflsbuf(p,(unsigned)(x)))

#define RLE | ( | bpp |  | ) | (ITYPE_RLE | (bpp))

#define RLE_NOP 0x00

#define TYPEMASK 0xff00

#define VERBATIM | ( | bpp |  | ) | (ITYPE_VERBATIM | (bpp))

## Function Documentation

const Handle | ( | Standard_Type |  | ) | `[inline]`

AlienImage_SGIRGBFileHeader* icreate | ( |  | ) |

AlienImage_SGIRGBFileHeader* iopen | ( |  | ) |

ostream& operator<< | ( | ostream & | s,
|  | const AlienImage_SGIRGBFileHeader & | h
| ) |

Standard_Boolean operator== | ( | const AlienImage_SGIRGBFileHeader & | AnObject,
|  | const AlienImage_SGIRGBFileHeader & | AnotherObject
| ) |

void ShallowDump | ( | const AlienImage_SGIRGBFileHeader & | AnObject,
|  | Standard_OStream & | S
| ) |